You are not logged in.

#1 2005-10-04 13:00:12

dlin
Member
From: Taipei,Taiwan
Registered: 2005-09-21
Posts: 264

gcc 4.0.2 makepkg gcc failed configure-target-libiberty

gcc version 4.0.2 compile gcc package failed.
I remove the ccache setting, the result is still the same sad

checking whether the C compiler ( /var/abs/i586/base/gcc/src/gcc-3.3.6/gcc/xgcc
-B/var/abs/i586/base/gcc/src/gcc-3.3.6/gcc/ -B/usr/i586-pc-linux-gnu/bin/ -B/usr
/i586-pc-linux-gnu/lib/ -isystem /usr/i586-pc-linux-gnu/include -O2 -mtune=i586
-O2 -pipe ) works... no
configure: error: installation or configuration problem: C compiler cannot creat
e executables.
make: *** [configure-target-libiberty] Error 1
==> ERROR: Build Failed.  Aborting...

Running 4 ArchLinux including sh4twbox,server,notebook,desktop. my AUR packages, old project Arch on colinux,

Offline

#2 2005-10-04 15:36:48

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: gcc 4.0.2 makepkg gcc failed configure-target-libiberty

dlin wrote:

/var/abs/i586/base/gcc/src/gcc-3.3.6/gcc/xgcc

?? Doesn't look like 4.0.2 to me

Offline

#3 2005-10-04 22:08:00

syamajala
Member
From: here, there, everywhere
Registered: 2005-01-25
Posts: 604
Website

Re: gcc 4.0.2 makepkg gcc failed configure-target-libiberty

phrakture i think its the old libstdc++ that is built for backwards compatibility. but i'm not sure

Offline

#4 2005-10-05 02:03:28

dlin
Member
From: Taipei,Taiwan
Registered: 2005-09-21
Posts: 264

Re: gcc 4.0.2 makepkg gcc failed configure-target-libiberty

yes, the gcc-4.0.2 PKGBUILD also build previous library for backward compatible.
Is there anybody successful compile gcc 4.0.2 after pacman -Syu ?


Running 4 ArchLinux including sh4twbox,server,notebook,desktop. my AUR packages, old project Arch on colinux,

Offline

Board footer

Powered by FluxBB